class CreateResourcePictures < ActiveRecord::Migration
  def change
    create_table :resource_pictures do |t|
      t.string :ext, :null => false
      t.integer :width, :null => false
      t.integer :height, :null => false
      t.integer :filesize, :null => false
      t.integer :artist_id, :null => false, :default => 0
      t.integer :license_id, :null => false, :default => 0
      t.integer :original_picture_id, :null => false

      t.timestamps
    end
  end
end
