class CreatePictures < ActiveRecord::Migration
  def change
    create_table :pictures do |t|
      t.integer :original_picture_id, :null => false, :default => 0
      t.integer :revision, :null => false, :default => 1
      t.string :ext, :null => false
      t.integer :width, :null => false
      t.integer :height, :null => false
      t.integer :filesize, :null => false
      t.integer :artist_id, :null => false, :default => 0
      t.integer :license_id, :null => false, :default => 0
      t.string :artist_name, :null => false, :default => 'unknown'
      t.string :credit
      t.string :settings

      t.timestamps
    end
  end
end
